::-moz-selection { /* Code for Firefox */
  color: #ffffff;
  background: var(--primary);
}

::selection {
  color: #ffffff;
  background: var(--primary);
}

/* width */
::-webkit-scrollbar {
  width: 8px;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey; 
  border-radius: 0px;
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--primary); 
  border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: var(--secondary); 
}

/*your custom css goes here*/ 
 .fs-32 {
        font-size: 2rem!important;
    }
     .fs-40 {
        font-size: 2.5rem!important;
    }
.fs-48 {
    font-size: 3rem !important;
}
@media (min-width: 768px){
    .fs-md-32 {
        font-size: 2rem!important;
    }
    .fs-md-36 {
        font-size: 2.25rem!important;
    }
     .fs-md-40 {
        font-size: 2.5rem!important;
    }
     .fs-md-42 {
        font-size: 2.625rem!important;
    }
     .fs-md-48 {
        font-size: 3rem!important;
    }
}
i {
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.btn{
    border-radius: 30px;
}

.front-header-search .form-control{
        background: #f4f4f4;
            border-radius: 5rem;
}
.front-header-search .btn {
    border-radius: 0 5rem 5rem 0;
}

.cart-dropdown{
      display: block;
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: auto;
    width: 300px;
    margin: 0;
    transform: translate(340px);
    transition: transform 0.2s ease-in-out 0s;
    background-color: #fff;
    z-index: 1050;
    border: none;
    border-radius: 0;
    box-shadow: 0 5px 8px rgb(0 0 0 / 15%);
}
.cart-dropdown.show{
        transform: none;
}

.nav-cart-box .overlay {
          opacity: 0;
    visibility: hidden;

}
.nav-cart-box.show .overlay {
        opacity: 1;
    visibility: visible;

}
.aiz-top-menu-sidebar ul li {
    list-style-type: none;
}
a, button, input, textarea, .btn, .has-transition {
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}
.hov-scale-img:hover img,
.hov-scale:hover{
    transform: scale(1.05);
}
.bg-gray-light {
    background-color: var(--gray-light) !important;
}

.bg-gray {
    background-color: var(--gray) !important;
}
.bg-gray-dark {
    background-color: var(--gray-dark) !important;
}
.bg-primary {
    background-color: var(--primary) !important;
}
.bg-secondary {
    background-color: var(--secondary) !important;
}
 .animate-underline-secondary {
    position: relative;
}
.animate-underline-secondary:after{
        content: '';
    position: absolute;
    left: 0;
    right: 0;
    height: 1px;
    border-radius: 2px;
    transform-origin: right;
    transform: scaleX(0);
    transition: transform .5s cubic-bezier(0,0,.2,1),-webkit-transform .5s cubic-bezier(0,0,.2,1);
  
}
.animate-underline-secondary:after {
    bottom: -3px;
    background: var(--secondary);
}
.animate-underline-secondary:hover::after {
    transform: scaleX(1);
    transform-origin: left;
}

.shadow-out ,
.hov-shadow-out:hover {
    z-index: 2 !important;
    box-shadow: 0px 20px 40px rgb(0 0 0 / 16%) !important;

}

footer p{
    color: rgb(119, 119, 119);
    font-family: "Open Sans", sans-serif;
    font-size: 11.7px;
    letter-spacing: 0.065px;
    margin: 0;
}
.card-columns{

    
}
#wishlist:hover a,#compare:hover a,#cart_items:hover > a,#notification:hover a ,.nav-user-info:hover .nav-user-img{
    border-color: none!important;
    box-shadow: none!important;
}

#wishlist:hover a  svg *,#compare:hover a  svg *,#cart_items:hover > a  svg *,#notification:hover a  svg * {
    fill: var(--primary);
}
.header_menu_links.active {
    background-color: rgb(0 0 0 / 0%)!important;
}
.hover-top-menu {
    transition: all 0.5s ease-out;
    opacity: 0;
    visibility: hidden;
}
.hover-top-menu.active {
    opacity: 1;
    visibility: visible;
}

.cart-btn {
    background: var(--primary);
    opacity: 0.7;
    transform: translateY(101%);
    transition: 0.3s;
    overflow: hidden;
}
a.text-secondary:focus, a.text-secondary:hover{
    color: var(--primary)!important;

}

.home-banner-area .container {
    min-width: auto;
    padding-left: 30px !important;
    padding-right: 30px !important;
}

.home-slider .slick-slide .img--holder {
    background-size: cover;
    background-position: center top;
    background-repeat: no-repeat;
}
.home-slider .slick-slide .slide-content {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-line-pack: stretch;
    align-content: stretch;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
}


.fadeInLeftSm {
  -webkit-animation-name: fadeInLeftSm;
  animation-name: fadeInLeftSm;
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out; }

.fadeInRightSm {
  -webkit-animation-name: fadeInRightSm;
  animation-name: fadeInRightSm;
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out; }

.fadeInUpSm {
  -webkit-animation-name: fadeInUpSm;
  animation-name: fadeInUpSm;
  -webkit-animation-timing-function: ease-out;
  animation-timing-function: ease-out; }

.animated.fadeInLeftSm,
.animated.fadeInRightSm,
.animated.fadeInUpSm {
  -webkit-animation-duration: .7s;
  animation-duration: .7s;
  -webkit-transition: all .4s;
  transition: all .4s;
  -webkit-transition-delay: .4s;
  transition-delay: .4s; }

@-webkit-keyframes fadeInUpSm {
  0% {
    opacity: 0;
    -webkit-transform: translateY(50px);
    transform: translateY(50px); }
  100% {
    opacity: 1;
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%); } }

@keyframes fadeInUpSm {
  0% {
    opacity: 0;
    -webkit-transform: translateY(50px);
    transform: translateY(50px); }
  100% {
    opacity: 1;
    -webkit-transform: translateY(0px);
    transform: translateY(0px); } }

@-webkit-keyframes fadeInLeftSm {
  0% {
    opacity: 0;
    -webkit-transform: translateX(-50px);
    transform: translateX(-50px); }
  100% {
    opacity: 1;
    -webkit-transform: translateX(0px);
    transform: translateX(0px); } }

@keyframes fadeInLeftSm {
  0% {
    opacity: 0;
    -webkit-transform: translateX(-50px);
    transform: translateX(-50px); }
  100% {
    opacity: 1;
    -webkit-transform: translateX(0px);
    transform: translateX(0px); } }

@-webkit-keyframes fadeInRightSm {
  from {
    opacity: 0;
    -webkit-transform: translateX(50px);
    transform: translateX(50px); }
  to {
    opacity: 1;
    -webkit-transform: translateX(0px);
    transform: translateX(0px); } }

@keyframes fadeInRightSm {
  from {
    opacity: 0;
    -webkit-transform: translateX(50px);
    transform: translateX(50px); }
  to {
    opacity: 1;
    -webkit-transform: translateX(0px);
    transform: translateX(0px); } }
    

.mainSlider.arrow-x-15 .slick-next {
    right: 0px !important;
}
.mainSlider.arrow-x-15 .slick-prev {
    left: 0px !important;
}
.mainSlider .slick-arrow {
    position: absolute;
    top: 50%;
    z-index: 2;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    width: 40px;
    height: 40px;
    background: #fff;
    border-radius: 50em;
    border: 0;
    box-shadow: 0 0 1px 1px rgba(20, 23, 28, 0.1), 0 3px 1px 0 rgba(20, 23, 28, 0.1);
    font-size: 15px;
    line-height: 40px;
    padding: 0;
    text-align: center;
}
.mainSlider.arrow-dark .slick-arrow {
    width: 25px;
    height: 60px;
    background: rgb(0 0 0 / 30%) !important ;
    border-radius: 0;
    color: #fff;
    box-shadow: none;
}
.hov-animate-outline::before, .hov-animate-outline::after{
    display:none!important;
}
.bg-light{
    background-color: #f7f9fa;
}
.jssocials-share-link{
        padding: 0.5em;
    border-radius: 50%!important;
}
.jssocials-share-logo{
        font-size: 1.2em;
}

.cart-btn .cart-btn-text{
  
    margin-top: 52px;
}
.cart-btn:hover .cart-btn-text {
    margin-top: -52px;
}
.btn-visit .circle{
    background: #ededed;
}



/* Preloader */
body.enable_preloader{width:100%;height:100%;overflow:hidden;display:flex;align-items:center;justify-content:center}
body.enable_preloader:before{content:'';display:block;position:fixed;top:0;bottom:0;left:0;right:0;background-color:#fff;z-index:999999999}

.spinner {
  margin: 100px auto 0;
  width: 70px;
  text-align: center;
}

.spinner > div {
  width: 18px;
  height: 18px;
  background-color: var(--primary);

  border-radius: 100%;
  display: inline-block;
  -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
  animation: sk-bouncedelay 1.4s infinite ease-in-out both;
}

.spinner .bounce1 {
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}

.spinner .bounce2 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}

@-webkit-keyframes sk-bouncedelay {
  0%, 80%, 100% { -webkit-transform: scale(0) }
  40% { -webkit-transform: scale(1.0) }
}

@keyframes sk-bouncedelay {
  0%, 80%, 100% { 
    -webkit-transform: scale(0);
    transform: scale(0);
  } 40% { 
    -webkit-transform: scale(1.0);
    transform: scale(1.0);
  }
}

div.preloader_module{position:fixed;top:50%;left:50%;margin:-25px 0 0 -25px;overflow:visible;opacity:1;visibility:visible;transition:.3s ease;z-index:999999999999}
body:not(.enable_preloader) div.preloader_module{opacity:0;visibility:hidden}



